diff --git a/dlls/quartz/filtermapper.c b/dlls/quartz/filtermapper.c
index 149bc8d17..a95f0ca78 100644
--- a/dlls/quartz/filtermapper.c
+++ b/dlls/quartz/filtermapper.c
@@ -76,7 +76,7 @@ static ULONG WINAPI enum_reg_filters_AddRef(IEnumRegFilters *iface)
 {
     struct enum_reg_filters *enumerator = impl_from_IEnumRegFilters(iface);
     ULONG refcount = InterlockedIncrement(&enumerator->refcount);
-    TRACE("%p increasing refcount to %lu.\n", enumerator, refcount);
+    TRACE("%p increasing refcount to %u.\n", enumerator, refcount);
     return refcount;
 }
 
@@ -86,7 +86,7 @@ static ULONG WINAPI enum_reg_filters_Release(IEnumRegFilters *iface)
     ULONG refcount = InterlockedDecrement(&enumerator->refcount);
     unsigned int i;
 
-    TRACE("%p decreasing refcount to %lu.\n", enumerator, refcount);
+    TRACE("%p decreasing refcount to %u.\n", enumerator, refcount);
     if (!refcount)
     {
         for (i = 0; i < enumerator->count; ++i)
@@ -103,7 +103,7 @@ static HRESULT WINAPI enum_reg_filters_Next(IEnumRegFilters *iface, ULONG count,
     struct enum_reg_filters *enumerator = impl_from_IEnumRegFilters(iface);
     unsigned int i;
 
-    TRACE("iface %p, count %lu, filters %p, ret_count %p.\n", iface, count, filters, ret_count);
+    TRACE("iface %p, count %u, filters %p, ret_count %p.\n", iface, count, filters, ret_count);
 
     for (i = 0; i < count && enumerator->index + i < enumerator->count; ++i)
     {
@@ -131,7 +131,7 @@ static HRESULT WINAPI enum_reg_filters_Next(IEnumRegFilters *iface, ULONG count,
 
 static HRESULT WINAPI enum_reg_filters_Skip(IEnumRegFilters *iface, ULONG count)
 {
-    TRACE("iface %p, count %lu, unimplemented.\n", iface, count);
+    TRACE("iface %p, count %u, unimplemented.\n", iface, count);
     return E_NOTIMPL;
 }
 
@@ -234,7 +234,7 @@ static ULONG WINAPI enum_moniker_AddRef(IEnumMoniker *iface)
 {
     struct enum_moniker *enumerator = impl_from_IEnumMoniker(iface);
     ULONG refcount = InterlockedIncrement(&enumerator->refcount);
-    TRACE("%p increasing refcount to %lu.\n", enumerator, refcount);
+    TRACE("%p increasing refcount to %u.\n", enumerator, refcount);
     return refcount;
 }
 
@@ -244,7 +244,7 @@ static ULONG WINAPI enum_moniker_Release(IEnumMoniker *iface)
     ULONG refcount = InterlockedDecrement(&enumerator->refcount);
     unsigned int i;
 
-    TRACE("%p decreasing refcount to %lu.\n", enumerator, refcount);
+    TRACE("%p decreasing refcount to %u.\n", enumerator, refcount);
     if (!refcount)
     {
         for (i = 0; i < enumerator->count; ++i)
@@ -261,7 +261,7 @@ static HRESULT WINAPI enum_moniker_Next(IEnumMoniker *iface, ULONG count,
     struct enum_moniker *enumerator = impl_from_IEnumMoniker(iface);
     unsigned int i;
 
-    TRACE("iface %p, count %lu, filters %p, ret_count %p.\n", iface, count, filters, ret_count);
+    TRACE("iface %p, count %u, filters %p, ret_count %p.\n", iface, count, filters, ret_count);
 
     for (i = 0; i < count && enumerator->index + i < enumerator->count; ++i)
         IMoniker_AddRef(filters[i] = enumerator->filters[enumerator->index + i]);
@@ -276,7 +276,7 @@ static HRESULT WINAPI enum_moniker_Skip(IEnumMoniker *iface, ULONG count)
 {
     struct enum_moniker *enumerator = impl_from_IEnumMoniker(iface);
 
-    TRACE("iface %p, count %lu.\n", iface, count);
+    TRACE("iface %p, count %u.\n", iface, count);
 
     enumerator->index += count;
     return S_OK;
@@ -469,27 +469,27 @@ static HRESULT WINAPI Inner_QueryInterface(IUnknown *iface, REFIID riid, void **
 
 static ULONG WINAPI Inner_AddRef(IUnknown *iface)
 {
-    FilterMapper3Impl *mapper = impl_from_IUnknown(iface);
-    ULONG refcount = InterlockedIncrement(&mapper->ref);
+    FilterMapper3Impl *This = impl_from_IUnknown(iface);
+    ULONG ref = InterlockedIncrement(&This->ref);
 
-    TRACE("%p increasing refcount to %lu.\n", mapper, refcount);
+    TRACE("(%p)->(): new ref = %d\n", This, ref);
 
-    return refcount;
+    return ref;
 }
 
 static ULONG WINAPI Inner_Release(IUnknown *iface)
 {
-    FilterMapper3Impl *mapper = impl_from_IUnknown(iface);
-    ULONG refcount = InterlockedDecrement(&mapper->ref);
+    FilterMapper3Impl *This = impl_from_IUnknown(iface);
+    ULONG ref = InterlockedDecrement(&This->ref);
 
-    TRACE("%p decreasing refcount to %lu.\n", mapper, refcount);
+    TRACE("(%p)->(): new ref = %d\n", This, ref);
 
-    if (!refcount)
+    if (ref == 0)
     {
-        CoTaskMemFree(mapper);
+        CoTaskMemFree(This);
     }
 
-    return refcount;
+    return ref;
 }
 
 static const IUnknownVtbl IInner_VTable =
@@ -529,7 +529,7 @@ static HRESULT WINAPI FilterMapper3_CreateCategory(IFilterMapper3 *iface,
     HKEY key;
     LONG ret;
 
-    TRACE("iface %p, category %s, merit %#lx, description %s.\n", iface,
+    TRACE("iface %p, category %s, merit %#x, description %s.\n", iface,
             debugstr_guid(category), merit, debugstr_w(description));
 
     StringFromGUID2(category, guidstr, ARRAY_SIZE(guidstr));
@@ -702,14 +702,14 @@ static HRESULT FM2_ReadFilterData(BYTE *pData, REGFILTER2 * prf2)
 
     if (prrf->dwVersion != 2)
     {
-        FIXME("Filter registry version %lu is not supported.\n", prrf->dwVersion);
+        FIXME("Filter registry version %d not supported\n", prrf->dwVersion);
         ZeroMemory(prf2, sizeof(*prf2));
         hr = E_FAIL;
     }
 
     if (SUCCEEDED(hr))
     {
-        TRACE("dwVersion %lu, dwMerit %#lx, dwPins %lu, dwUnused %#lx.\n",
+        TRACE("version = %d, merit = %x, #pins = %d, unused = %x\n",
             prrf->dwVersion, prrf->dwMerit, prrf->dwPins, prrf->dwUnused);
 
         prf2->dwVersion = prrf->dwVersion;
@@ -730,7 +730,7 @@ static HRESULT FM2_ReadFilterData(BYTE *pData, REGFILTER2 * prf2)
 
             TRACE("\tsignature = %s\n", debugstr_an((const char*)prrfp->signature, 4));
 
-            TRACE("\tPin %lu: dwFlags %#lx, dwInstances %lu, dwMediaTypes %lu, dwMediums %lu.\n",
+            TRACE("\tpin[%d]: flags = %x, instances = %d, media types = %d, mediums = %d\n",
                 i, prrfp->dwFlags, prrfp->dwInstances, prrfp->dwMediaTypes, prrfp->dwMediums);
 
             rgPins2[i].dwFlags = prrfp->dwFlags;
@@ -901,7 +901,7 @@ static HRESULT WINAPI FilterMapper3_RegisterFilter(IFilterMapper3 *iface,
 
     if (FAILED(hr = IParseDisplayName_ParseDisplayName(parser, NULL, display_name, &eaten, &moniker)))
     {
-        ERR("Failed to parse display name, hr %#lx.\n", hr);
+        ERR("Failed to parse display name, hr %#x.\n", hr);
         IParseDisplayName_Release(parser);
         free(display_name);
         return hr;
@@ -911,7 +911,7 @@ static HRESULT WINAPI FilterMapper3_RegisterFilter(IFilterMapper3 *iface,
 
     if (FAILED(hr = IMoniker_BindToStorage(moniker, NULL, NULL, &IID_IPropertyBag, (void **)&prop_bag)))
     {
-        ERR("Failed to get property bag, hr %#lx.\n", hr);
+        ERR("Failed to get property bag, hr %#x.\n", hr);
         IMoniker_Release(moniker);
         free(display_name);
         return hr;
@@ -920,13 +920,13 @@ static HRESULT WINAPI FilterMapper3_RegisterFilter(IFilterMapper3 *iface,
     V_VT(&var) = VT_BSTR;
     V_BSTR(&var) = SysAllocString(name);
     if (FAILED(hr = IPropertyBag_Write(prop_bag, L"FriendlyName", &var)))
-        ERR("Failed to write friendly name, hr %#lx.\n", hr);
+        ERR("Failed to write friendly name, hr %#x.\n", hr);
     VariantClear(&var);
 
     V_VT(&var) = VT_BSTR;
     V_BSTR(&var) = SysAllocString(clsid_string);
     if (FAILED(hr = IPropertyBag_Write(prop_bag, L"CLSID", &var)))
-        ERR("Failed to write class ID, hr %#lx.\n", hr);
+        ERR("Failed to write class ID, hr %#x.\n", hr);
     VariantClear(&var);
 
     if (SUCCEEDED(FM2_WriteFilterData(&regfilter2, &filter_data, &filter_data_len)))
@@ -936,7 +936,7 @@ static HRESULT WINAPI FilterMapper3_RegisterFilter(IFilterMapper3 *iface,
         {
             memcpy(V_ARRAY(&var)->pvData, filter_data, filter_data_len);
             if (FAILED(hr = IPropertyBag_Write(prop_bag, L"FilterData", &var)))
-                ERR("Failed to write filter data, hr %#lx.\n", hr);
+                ERR("Failed to write filter data, hr %#x.\n", hr);
             VariantClear(&var);
         }
 
@@ -1030,7 +1030,7 @@ static HRESULT WINAPI FilterMapper3_EnumMatchingFilters(
     HRESULT hr;
     struct Vector monikers = {NULL, 0, 0};
 
-    TRACE("(%p, %#lx, %s, %#lx, %s, %lu, %p, %p, %p, %s, %s, %p, %p, %p)\n",
+    TRACE("(%p, %x, %s, %x, %s, %d, %p, %p, %p, %s, %s, %p, %p, %p)\n",
         ppEnum,
         dwFlags,
         bExactMatch ? "true" : "false",
@@ -1047,7 +1047,9 @@ static HRESULT WINAPI FilterMapper3_EnumMatchingFilters(
         pPinCategoryOut);
 
     if (dwFlags != 0)
-        FIXME("Ignoring flags %#lx.\n", dwFlags);
+    {
+        FIXME("dwFlags = %x not implemented\n", dwFlags);
+    }
 
     *ppEnum = NULL;
 
@@ -1287,7 +1289,7 @@ static HRESULT WINAPI FilterMapper_EnumMatchingFilters(
     REGFILTER* regfilters;
     HRESULT hr;
 
-    TRACE("(%p/%p)->(%p, %#lx, %s, %s, %s, %s, %s, %s, %s)\n",
+    TRACE("(%p/%p)->(%p, %x, %s, %s, %s, %s, %s, %s, %s)\n",
         This,
         iface,
         ppEnum,
@@ -1399,7 +1401,7 @@ static HRESULT WINAPI FilterMapper_RegisterFilter(IFilterMapper * iface,
     HKEY key;
     LONG ret;
 
-    TRACE("iface %p, clsid %s, name %s, merit %#lx.\n",
+    TRACE("iface %p, clsid %s, name %s, merit %#x.\n",
             iface, debugstr_guid(&clsid), debugstr_w(name), merit);
 
     StringFromGUID2(&clsid, guidstr, ARRAY_SIZE(guidstr));
@@ -1410,7 +1412,7 @@ static HRESULT WINAPI FilterMapper_RegisterFilter(IFilterMapper * iface,
         return HRESULT_FROM_WIN32(ret);
 
     if ((ret = RegSetValueExW(key, NULL, 0, REG_SZ, (const BYTE *)name, (wcslen(name) + 1) * sizeof(WCHAR))))
-        ERR("Failed to set filter name, error %lu.\n", ret);
+        ERR("Failed to set filter name, error %u.\n", ret);
     RegCloseKey(key);
 
     wcscpy(keypath, L"CLSID\\");
@@ -1418,11 +1420,11 @@ static HRESULT WINAPI FilterMapper_RegisterFilter(IFilterMapper * iface,
     if (!(ret = RegCreateKeyExW(HKEY_CLASSES_ROOT, keypath, 0, NULL, 0, KEY_WRITE, NULL, &key, NULL)))
     {
         if ((ret = RegSetValueExW(key, L"Merit", 0, REG_DWORD, (const BYTE *)&merit, sizeof(DWORD))))
-            ERR("Failed to set merit, error %lu.\n", ret);
+            ERR("Failed to set merit, error %u.\n", ret);
         RegCloseKey(key);
     }
     else
-        ERR("Failed to create CLSID key, error %lu.\n", ret);
+        ERR("Failed to create CLSID key, error %u.\n", ret);
 
     return S_OK;
 }
@@ -1464,7 +1466,7 @@ static HRESULT WINAPI FilterMapper_RegisterPin(IFilterMapper *iface, CLSID clsid
 
     if ((ret = RegCreateKeyExW(key, pin_keypath, 0, NULL, 0, KEY_WRITE, NULL, &pin_key, NULL)))
     {
-        ERR("Failed to open pin key, error %lu.\n", ret);
+        ERR("Failed to open pin key, error %u.\n", ret);
         free(pin_keypath);
         RegCloseKey(key);
         return HRESULT_FROM_WIN32(ret);
@@ -1472,18 +1474,18 @@ static HRESULT WINAPI FilterMapper_RegisterPin(IFilterMapper *iface, CLSID clsid
     free(pin_keypath);
 
     if ((ret = RegSetValueExW(pin_key, L"AllowedMany", 0, REG_DWORD, (const BYTE *)&many, sizeof(DWORD))))
-        ERR("Failed to set AllowedMany value, error %lu.\n", ret);
+        ERR("Failed to set AllowedMany value, error %u.\n", ret);
     if ((ret = RegSetValueExW(pin_key, L"AllowedZero", 0, REG_DWORD, (const BYTE *)&zero, sizeof(DWORD))))
-        ERR("Failed to set AllowedZero value, error %lu.\n", ret);
+        ERR("Failed to set AllowedZero value, error %u.\n", ret);
     if ((ret = RegSetValueExW(pin_key, L"Direction", 0, REG_DWORD, (const BYTE *)&output, sizeof(DWORD))))
-        ERR("Failed to set Direction value, error %lu.\n", ret);
+        ERR("Failed to set Direction value, error %u.\n", ret);
     if ((ret = RegSetValueExW(pin_key, L"IsRendered", 0, REG_DWORD, (const BYTE *)&rendered, sizeof(DWORD))))
-        ERR("Failed to set IsRendered value, error %lu.\n", ret);
+        ERR("Failed to set IsRendered value, error %u.\n", ret);
 
     if (!(ret = RegCreateKeyExW(pin_key, L"Types", 0, NULL, 0, 0, NULL, &type_key, NULL)))
         RegCloseKey(type_key);
     else
-        ERR("Failed to create Types subkey, error %lu.\n", ret);
+        ERR("Failed to create Types subkey, error %u.\n", ret);
 
     RegCloseKey(pin_key);
     RegCloseKey(key);
@@ -1525,7 +1527,7 @@ static HRESULT WINAPI FilterMapper_RegisterPinType(IFilterMapper *iface,
     if (!(ret = RegCreateKeyExW(key, type_keypath, 0, NULL, 0, 0, NULL, &type_key, NULL)))
         RegCloseKey(type_key);
     else
-        ERR("Failed to create type key, error %lu.\n", ret);
+        ERR("Failed to create type key, error %u.\n", ret);
 
     RegCloseKey(key);
     return HRESULT_FROM_WIN32(ret);
@@ -1544,7 +1546,7 @@ static HRESULT WINAPI FilterMapper_UnregisterFilter(IFilterMapper *iface, CLSID
     if ((ret = RegOpenKeyExW(HKEY_CLASSES_ROOT, L"Filter", 0, 0, &key)))
         return HRESULT_FROM_WIN32(ret);
     if ((ret = RegDeleteKeyW(key, guidstr)))
-        ERR("Failed to delete filter key, error %lu.\n", ret);
+        ERR("Failed to delete filter key, error %u.\n", ret);
     RegCloseKey(key);
 
     wcscpy(keypath, L"CLSID\\");
@@ -1552,13 +1554,13 @@ static HRESULT WINAPI FilterMapper_UnregisterFilter(IFilterMapper *iface, CLSID
     if (!(ret = RegOpenKeyExW(HKEY_CLASSES_ROOT, keypath, 0, KEY_WRITE, &key)))
     {
         if ((ret = RegDeleteValueW(key, L"Merit")))
-            ERR("Failed to delete Merit value, error %lu.\n", ret);
+            ERR("Failed to delete Merit value, error %u.\n", ret);
         if ((ret = RegDeleteTreeW(key, L"Pins")))
-            ERR("Failed to delete Pins key, error %lu.\n", ret);
+            ERR("Failed to delete Pins key, error %u.\n", ret);
         RegCloseKey(key);
     }
     else
-        ERR("Failed to open CLSID key, error %lu.\n", ret);
+        ERR("Failed to open CLSID key, error %u.\n", ret);
 
     return S_OK;
 }
@@ -1590,7 +1592,7 @@ static HRESULT WINAPI FilterMapper_UnregisterPin(IFilterMapper * iface, CLSID cl
         return HRESULT_FROM_WIN32(ret);
 
     if ((ret = RegDeleteTreeW(key, name)))
-        ERR("Failed to delete subkey, error %lu.\n", ret);
+        ERR("Failed to delete subkey, error %u.\n", ret);
 
     RegCloseKey(key);
 
@@ -1646,7 +1648,7 @@ static HRESULT WINAPI AMFilterData_ParseFilterData(IAMFilterData* iface,
     HRESULT hr = S_OK;
     static REGFILTER2 *prf2;
 
-    TRACE("mapper %p, data %p, size %lu, parsed_data %p.\n", This, pData, cb, ppRegFilter2);
+    TRACE("(%p/%p)->(%p, %d, %p)\n", This, iface, pData, cb, ppRegFilter2);
 
     prf2 = CoTaskMemAlloc(sizeof(*prf2));
     if (!prf2)
diff --git a/dlls/quartz/main.c b/dlls/quartz/main.c
index c5302db6c..ed7080b76 100644
--- a/dlls/quartz/main.c
+++ b/dlls/quartz/main.c
@@ -260,13 +260,13 @@ const char * qzdebugstr_guid( const GUID * id )
     return debugstr_guid(id);
 }
 
-int WINAPI AmpFactorToDB(int ampfactor)
+LONG WINAPI AmpFactorToDB(LONG ampfactor)
 {
     FIXME("(%d) Stub!\n", ampfactor);
     return 0;
 }
 
-int WINAPI DBToAmpFactor(int db)
+LONG WINAPI DBToAmpFactor(LONG db)
 {
     FIXME("(%d) Stub!\n", db);
     /* Avoid divide by zero (probably during range computation) in Windows Media Player 6.4 */
@@ -283,8 +283,7 @@ DWORD WINAPI AMGetErrorTextA(HRESULT hr, LPSTR buffer, DWORD maxlen)
     DWORD res;
     WCHAR errorW[MAX_ERROR_TEXT_LEN];
 
-    TRACE("hr %#lx, buffer %p, maxlen %lu.\n", hr, buffer, maxlen);
-
+    TRACE("(%x,%p,%d)\n", hr, buffer, maxlen);
     if (!buffer)
         return 0;
 
@@ -306,7 +305,7 @@ DWORD WINAPI AMGetErrorTextW(HRESULT hr, LPWSTR buffer, DWORD maxlen)
     unsigned int len;
     WCHAR error[MAX_ERROR_TEXT_LEN];
 
-    TRACE("hr %#lx, buffer %p, maxlen %lu.\n", hr, buffer, maxlen);
+    FIXME("(%x,%p,%d) stub\n", hr, buffer, maxlen);
 
     if (!buffer) return 0;
     swprintf(error, ARRAY_SIZE(error), L"Error: 0x%lx", hr);
diff --git a/dlls/quartz/memallocator.c b/dlls/quartz/memallocator.c
index 87869b4d6..531fbe874 100644
--- a/dlls/quartz/memallocator.c
+++ b/dlls/quartz/memallocator.c
@@ -135,7 +135,7 @@ static ULONG WINAPI BaseMemAllocator_AddRef(IMemAllocator * iface)
     BaseMemAllocator *This = impl_from_IMemAllocator(iface);
     ULONG ref = InterlockedIncrement(&This->ref);
 
-    TRACE("%p increasing refcount to %lu.\n", This, ref);
+    TRACE("(%p)->() AddRef from %d\n", iface, ref - 1);
 
     return ref;
 }
@@ -145,7 +145,7 @@ static ULONG WINAPI BaseMemAllocator_Release(IMemAllocator * iface)
     BaseMemAllocator *This = impl_from_IMemAllocator(iface);
     ULONG ref = InterlockedDecrement(&This->ref);
 
-    TRACE("%p decreasing refcount to %lu.\n", This, ref);
+    TRACE("(%p)->() Release from %d\n", iface, ref + 1);
 
     if (!ref)
     {
@@ -166,7 +166,7 @@ static HRESULT WINAPI BaseMemAllocator_SetProperties(IMemAllocator * iface, ALLO
 
     TRACE("(%p)->(%p, %p)\n", This, pRequest, pActual);
 
-    TRACE("Requested %ld buffers, size %ld, alignment %ld, prefix %ld.\n",
+    TRACE("Requested %d buffers, size %d, alignment %d, prefix %d.\n",
             pRequest->cBuffers, pRequest->cbBuffer, pRequest->cbAlign, pRequest->cbPrefix);
 
     EnterCriticalSection(This->pCritSect);
@@ -236,7 +236,7 @@ static HRESULT WINAPI BaseMemAllocator_Commit(IMemAllocator * iface)
         {
             if (!(This->hSemWaiting = CreateSemaphoreW(NULL, This->props.cBuffers, This->props.cBuffers, NULL)))
             {
-                ERR("Failed to create semaphore, error %lu.\n", GetLastError());
+                ERR("Couldn't create semaphore (error was %u)\n", GetLastError());
                 hr = HRESULT_FROM_WIN32(GetLastError());
             }
             else
@@ -245,7 +245,7 @@ static HRESULT WINAPI BaseMemAllocator_Commit(IMemAllocator * iface)
                 if (SUCCEEDED(hr))
                     This->bCommitted = TRUE;
                 else
-                    ERR("Failed to allocate, hr %#lx.\n", hr);
+                    ERR("fnAlloc failed with error 0x%x\n", hr);
             }
         }
     }
@@ -278,13 +278,15 @@ static HRESULT WINAPI BaseMemAllocator_Decommit(IMemAllocator * iface)
             else
             {
                 if (This->lWaiting != 0)
-                    ERR("Waiting: %ld\n", This->lWaiting);
+                    ERR("Waiting: %d\n", This->lWaiting);
 
                 This->bCommitted = FALSE;
                 CloseHandle(This->hSemWaiting);
                 This->hSemWaiting = NULL;
 
                 hr = This->fnFree(iface);
+                if (FAILED(hr))
+                    ERR("fnFree failed with error 0x%x\n", hr);
             }
         }
     }
@@ -300,9 +302,8 @@ static HRESULT WINAPI BaseMemAllocator_GetBuffer(IMemAllocator * iface, IMediaSa
 
     /* NOTE: The pStartTime and pEndTime parameters are not applied to the sample. 
      * The allocator might use these values to determine which buffer it retrieves */
-
-    TRACE("allocator %p, sample %p, start_time %p, end_time %p, flags %#lx.\n",
-            This, pSample, pStartTime, pEndTime, dwFlags);
+    
+    TRACE("(%p)->(%p, %p, %p, %x)\n", This, pSample, pStartTime, pEndTime, dwFlags);
 
     *pSample = NULL;
 
@@ -350,7 +351,7 @@ static HRESULT WINAPI BaseMemAllocator_GetBuffer(IMemAllocator * iface, IMediaSa
     LeaveCriticalSection(This->pCritSect);
 
     if (hr != S_OK)
-        WARN("Returning hr %#lx.\n", hr);
+        WARN("%08x\n", hr);
     return hr;
 }
 
@@ -378,8 +379,10 @@ static HRESULT WINAPI BaseMemAllocator_ReleaseBuffer(IMemAllocator * iface, IMed
 
         if (list_empty(&This->used_list) && This->bDecommitQueued && This->bCommitted)
         {
+            HRESULT hrfree;
+
             if (This->lWaiting != 0)
-                ERR("Waiting: %ld\n", This->lWaiting);
+                ERR("Waiting: %d\n", This->lWaiting);
 
             This->bCommitted = FALSE;
             This->bDecommitQueued = FALSE;
@@ -387,7 +390,8 @@ static HRESULT WINAPI BaseMemAllocator_ReleaseBuffer(IMemAllocator * iface, IMed
             CloseHandle(This->hSemWaiting);
             This->hSemWaiting = NULL;
             
-            This->fnFree(iface);
+            if (FAILED(hrfree = This->fnFree(iface)))
+                ERR("fnFree failed with error 0x%x\n", hrfree);
         }
     }
     LeaveCriticalSection(This->pCritSect);
@@ -395,7 +399,7 @@ static HRESULT WINAPI BaseMemAllocator_ReleaseBuffer(IMemAllocator * iface, IMed
     /* notify a waiting thread that there is now a free buffer */
     if (This->hSemWaiting && !ReleaseSemaphore(This->hSemWaiting, 1, NULL))
     {
-        ERR("Failed to release semaphore, error %lu.\n", GetLastError());
+        ERR("ReleaseSemaphore failed with error %u\n", GetLastError());
         hr = HRESULT_FROM_WIN32(GetLastError());
     }
 
@@ -475,7 +479,7 @@ static ULONG WINAPI StdMediaSample2_AddRef(IMediaSample2 * iface)
     StdMediaSample2 *This = impl_from_IMediaSample2(iface);
     ULONG ref = InterlockedIncrement(&This->ref);
 
-    TRACE("%p increasing refcount to %lu.\n", This, ref);
+    TRACE("(%p)->(): new ref = %d\n", This, ref);
 
     return ref;
 }
@@ -485,7 +489,7 @@ static ULONG WINAPI StdMediaSample2_Release(IMediaSample2 * iface)
     StdMediaSample2 *This = impl_from_IMediaSample2(iface);
     ULONG ref = InterlockedDecrement(&This->ref);
 
-    TRACE("%p decreasing refcount to %lu.\n", This, ref);
+    TRACE("(%p)->(): new ref = %d\n", This, ref);
 
     if (!ref)
     {
@@ -641,11 +645,11 @@ static HRESULT WINAPI StdMediaSample2_SetActualDataLength(IMediaSample2 * iface,
 {
     StdMediaSample2 *This = impl_from_IMediaSample2(iface);
 
-    TRACE("sample %p, len %ld.\n", This, len);
+    TRACE("(%p)->(%d)\n", iface, len);
 
     if ((len > This->props.cbBuffer) || (len < 0))
     {
-        ERR("Length %ld exceeds maximum %ld.\n", len, This->props.cbBuffer);
+        WARN("Tried to set length to %d, while max is %d\n", len, This->props.cbBuffer);
         return VFW_E_BUFFER_OVERFLOW;
     }
     else
@@ -762,7 +766,7 @@ static HRESULT WINAPI StdMediaSample2_GetProperties(IMediaSample2 * iface, DWORD
 {
     StdMediaSample2 *This = impl_from_IMediaSample2(iface);
 
-    TRACE("sample %p, size %lu, properties %p.\n", This, cbProperties, pbProperties);
+    TRACE("(%p)->(%d, %p)\n", iface, cbProperties, pbProperties);
 
     memcpy(pbProperties, &This->props, min(cbProperties, sizeof(This->props)));
 
@@ -773,7 +777,7 @@ static HRESULT WINAPI StdMediaSample2_SetProperties(IMediaSample2 * iface, DWORD
 {
     StdMediaSample2 *This = impl_from_IMediaSample2(iface);
 
-    TRACE("sample %p, size %lu, properties %p.\n", This, cbProperties, pbProperties);
+    TRACE("(%p)->(%d, %p)\n", iface, cbProperties, pbProperties);
 
     /* NOTE: pbBuffer and cbBuffer are read-only */
     memcpy(&This->props, pbProperties, min(cbProperties, AM_SAMPLE2_PROP_SIZE_WRITABLE));
@@ -892,7 +896,7 @@ static HRESULT StdMemAllocator_Free(IMemAllocator * iface)
     /* free memory */
     if (!VirtualFree(This->pMemory, 0, MEM_RELEASE))
     {
-        ERR("Failed to free memory, error %lu.\n", GetLastError());
+        ERR("Couldn't free memory. Error: %u\n", GetLastError());
         return HRESULT_FROM_WIN32(GetLastError());
     }
 
diff --git a/dlls/quartz/passthrough.c b/dlls/quartz/passthrough.c
index 4627b2d26..2f8fe9dc3 100644
--- a/dlls/quartz/passthrough.c
+++ b/dlls/quartz/passthrough.c
@@ -66,7 +66,7 @@ static ULONG WINAPI seeking_passthrough_AddRef(IUnknown *iface)
     struct seeking_passthrough *passthrough = impl_from_IUnknown(iface);
     ULONG refcount = InterlockedIncrement(&passthrough->refcount);
 
-    TRACE("%p increasing refcount to %lu.\n", passthrough, refcount);
+    TRACE("%p increasing refcount to %u.\n", passthrough, refcount);
     return refcount;
 }
 
@@ -75,7 +75,7 @@ static ULONG WINAPI seeking_passthrough_Release(IUnknown *iface)
     struct seeking_passthrough *passthrough = impl_from_IUnknown(iface);
     ULONG refcount = InterlockedDecrement(&passthrough->refcount);
 
-    TRACE("%p decreasing refcount to %lu.\n", passthrough, refcount);
+    TRACE("%p decreasing refcount to %u.\n", passthrough, refcount);
     if (!refcount)
     {
         strmbase_passthrough_cleanup(&passthrough->passthrough);
diff --git a/dlls/quartz/regsvr.c b/dlls/quartz/regsvr.c
index d035f8673..649e25e73 100644
--- a/dlls/quartz/regsvr.c
+++ b/dlls/quartz/regsvr.c
@@ -127,7 +127,7 @@ static HRESULT register_filters(struct regsvr_filter const *list)
 	    }
 
 	    if (FAILED(hr)) {
-		ERR("failed to register with hresult %#lx\n", hr);
+		ERR("failed to register with hresult 0x%x\n", hr);
 		CoTaskMemFree(prfp2);
 		break;
 	    }
diff --git a/dlls/quartz/systemclock.c b/dlls/quartz/systemclock.c
index 729122fec..f579ae754 100644
--- a/dlls/quartz/systemclock.c
+++ b/dlls/quartz/systemclock.c
@@ -25,7 +25,7 @@
 
 WINE_DEFAULT_DEBUG_CHANNEL(quartz);
 
-static LONG cookie_counter;
+static int cookie_counter;
 
 struct advise_sink
 {
@@ -42,8 +42,7 @@ struct system_clock
     IUnknown *outer_unk;
     LONG refcount;
 
-    LONG thread_created;
-    BOOL thread_stopped;
+    BOOL thread_created, thread_stopped;
     HANDLE thread;
     LARGE_INTEGER frequency;
     REFERENCE_TIME last_time;
@@ -91,7 +90,7 @@ static ULONG WINAPI system_clock_inner_AddRef(IUnknown *iface)
     struct system_clock *clock = impl_from_IUnknown(iface);
     ULONG refcount = InterlockedIncrement(&clock->refcount);
 
-    TRACE("%p increasing refcount to %lu.\n", clock, refcount);
+    TRACE("%p increasing refcount to %u.\n", clock, refcount);
 
     return refcount;
 }
@@ -102,7 +101,7 @@ static ULONG WINAPI system_clock_inner_Release(IUnknown *iface)
     ULONG refcount = InterlockedDecrement(&clock->refcount);
     struct advise_sink *sink, *cursor;
 
-    TRACE("%p decreasing refcount to %lu.\n", clock, refcount);
+    TRACE("%p decreasing refcount to %u.\n", clock, refcount);
 
     if (!refcount)
     {
@@ -268,7 +267,7 @@ static HRESULT WINAPI SystemClockImpl_AdviseTime(IReferenceClock *iface,
 {
     struct system_clock *clock = impl_from_IReferenceClock(iface);
 
-    TRACE("clock %p, base %s, offset %s, event %#Ix, cookie %p.\n",
+    TRACE("clock %p, base %s, offset %s, event %#lx, cookie %p.\n",
             clock, debugstr_time(base), debugstr_time(offset), event, cookie);
 
     if (base + offset <= 0)
@@ -282,7 +281,7 @@ static HRESULT WINAPI SystemClockImpl_AdvisePeriodic(IReferenceClock* iface,
 {
     struct system_clock *clock = impl_from_IReferenceClock(iface);
 
-    TRACE("clock %p, start %s, period %s, semaphore %#Ix, cookie %p.\n",
+    TRACE("clock %p, start %s, period %s, semaphore %#lx, cookie %p.\n",
             clock, debugstr_time(start), debugstr_time(period), semaphore, cookie);
 
     if (start <= 0 || period <= 0)
@@ -296,7 +295,7 @@ static HRESULT WINAPI SystemClockImpl_Unadvise(IReferenceClock *iface, DWORD_PTR
     struct system_clock *clock = impl_from_IReferenceClock(iface);
     struct advise_sink *sink;
 
-    TRACE("clock %p, cookie %#Ix.\n", clock, cookie);
+    TRACE("clock %p, cookie %#lx.\n", clock, cookie);
 
     EnterCriticalSection(&clock->cs);
 
